<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PrebuiltLibraries (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PrebuiltLibraries (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/nativeplatform/ObjectFile.html" title="class in org.gradle.nativeplatform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/nativeplatform/PrebuiltLibraries.html" target="_top">Frames</a></li>
<li><a href="PrebuiltLibraries.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform</div>
<h2 title="Interface PrebuiltLibraries" class="title">Interface PrebuiltLibraries</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;, <a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;, <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">PrebuiltLibraries</span>
extends <a href="../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a>, <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&gt;</pre>
<div class="block">A container of <a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform"><code>PrebuiltLibrary</code></a> instances.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/nativeplatform/PrebuiltLibraries.html#resolveLibrary(java.lang.String)">resolveLibrary</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.artifacts.repositories.ArtifactRepository">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.artifacts.repositories.<a href="../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html" title="interface in org.gradle.api.artifacts.repositories">ArtifactRepository</a></h3>
<code><a href="../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html#getName()">getName</a>, <a href="../../../org/gradle/api/artifacts/repositories/ArtifactRepository.html#setName(java.lang.String)">setName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a></h3>
<code><a href="../../../org/gradle/api/NamedDomainObjectSet.html#findAll(groovy.lang.Closure)">findAll</a>, <a href="../../../org/gradle/api/NamedDomainObjectSet.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../org/gradle/api/NamedDomainObjectSet.html#matching(org.gradle.api.specs.Spec)">matching</a>, <a href="../../../org/gradle/api/NamedDomainObjectSet.html#withType(java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a></h3>
<code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html#add(T)">add</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addAll(java.util.Collection)">addAll</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(org.gradle.api.Rule)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20org.gradle.api.Action)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20groovy.lang.Closure)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#findByName(java.lang.String)">findByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">getAsMap</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getAt(java.lang.String)">getAt</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20org.gradle.api.Action)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20groovy.lang.Closure)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">getNamer</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">getNames</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">getRules</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Set">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="resolveLibrary(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resolveLibrary</h4>
<pre><a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform">PrebuiltLibrary</a>&nbsp;resolveLibrary(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/nativeplatform/ObjectFile.html" title="class in org.gradle.nativeplatform"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/nativeplatform/PrebuiltLibrary.html" title="interface in org.gradle.nativeplatform"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/nativeplatform/PrebuiltLibraries.html" target="_top">Frames</a></li>
<li><a href="PrebuiltLibraries.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
